For Developers
List Origin Policies
GET https://ed.link/api/v2/teams/:team_id/origin-policies
Returns all origin policies configured for the team across all scopes (team, application, dashboard, and district).
Permissions
Requires the origin_policies.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/origin-policies`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "7fa194a2-1982-4f91-8841-59128aa10234",
"type": "team",
"evaluation_mode": "enforcing",
"ip_default_outcome": "allowed",
"geo_default_outcome": "allowed",
"vpn_outcome": "allowed",
"tor_outcome": "denied",
"team_id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d"
}
]
}
